General foo2hbpl2 :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 

Pages: 12345...LastNext
Current Page: 1 of 50
Results 1 - 30 of 1481
5 weeks ago
rickrich
Read: * CUSTOM ICC/ICM COLOR PRINTER PROFILE (BUY) * CUSTOM ICC/ICM COLOR PRINTER PROFILE (ARGYLL) Because you are using gs 9.* instead of the recommended gs 8.* (/usr/bin/gs.foo from GHOSTSCRIPT BUGS), you will need to buy (google: "Custom Printer Profiles") or make (using Argyll https://www.argyllcms.com/) your color profile.
Forum: General foo2hiperc
6 weeks ago
rickrich
Here are the "ICM Color Profile" settings: $ ll /usr/share/foo2hiperc/icm/ total 6080 -rw-r--r--. 1 root root 308340 Apr 16 08:46 C3400-L1-BIN-ICC_0603150.icm -rw-r--r--. 1 root root 308332 Apr 16 08:46 C3400-L2-BIN-ICC_0604110.icm -rw-r--r--. 1 root root 308332 Apr 16 08:46 C3400-L2-MUL-ICC_0603130.icm -rw-r--r--. 1 root root 308376 Apr 16 08:46 OK3200L1.icm -rw-r--r--. 1 root
Forum: General foo2hiperc
6 weeks ago
rickrich
The "Halftone Algorithm" is "Default" which is also "Well Tempered Screens (best)". I don't know why "Standard" (-q1) got selected for you.
Forum: General foo2hiperc
6 weeks ago
rickrich
You need gs 8.*: Ghostscript 9.+ is broken with color prints! http://foo2zjs.rkkda.com/forum/read.php?63,3189
Forum: General foo2hiperc
6 weeks ago
rickrich
Download and Install Click the link, or cut and paste the whole command line below to download the driver. $ wget -O foo2zjs.tar.gz http://foo2zjs.rkkda.com/foo2zjs.tar.gz Now unpack it: Unpack: $ tar zxf foo2zjs.tar.gz $ cd foo2zjs Now compile and install it. The INSTALL file contains more detailed instructions; please re
Forum: General foo2hiperc
2 months ago
rickrich
Did you download it according to http://foo2lava.rkkda.com/ ? Download and Install Click the link, or cut and paste the whole command line below to download the driver. $ wget -O foo2zjs.tar.gz http://foo2zjs.rkkda.com/foo2zjs.tar.gz Now unpack it: Unpack: $ tar zxf foo2zjs.tar.gz $ cd foo2zjs Now compile and install it.
Forum: Konica Minolta magicolor 2480 MF
2 months ago
rickrich
They have protected "ghostscript" with something called "AppArmor". $ su # aa-disable ghostscript will also do it.
Forum: Oki C301dn, C310dn
2 months ago
rickrich
If openSUSE tumbleweed and ghostscript gives: $ foo2*-wrapper testpage.ps > xxx.prn GPL Ghostscript 9.26: **** Could not open the file cat 1>&3 . then you will need to do one of two things: 1) $ su # aa-disable ghostscript -OR- 2) Compile it yourself using the GHOSTSCRIPT BUGS in the INSTALL file. It is really a SUSE thing that they don't allow pipes
Forum: General Topics
2 months ago
rickrich
You can also do: https://www.ghostscript.com/download/gsdnld.html Ghostscript 9.27 Source for all platforms Ghostscript AGPL Release And follow the instructions in the INSTALL file. Either one will work. $ cd $ ls -l ... drwxr-xr-x 25 rick users 4096 Apr 12 11:58 ghostscript-8.71 -rw-r--r-- 1 rick users 25240801 May 25 2018 ghostscript-8.71.tar.gz drwxr-xr-x 30 rick use
Forum: Oki C301dn, C310dn
2 months ago
rickrich
See GHOSTSCRIPT BUGS in the INSTALL file! GHOSTSCRIPT BUGS ---------------- $ su # zypper up cups-devel $ wget "http://ghostscript.com/releases/ghostscript-8.71.tar.gz" $ tar zxf ghostscript-8.71.tar.gz $ cd ghostscript-8.71 $ ./autogen.sh $ make $ su OR $ sudo cp bin/gs /usr/bin/
Forum: Oki C301dn, C310dn
2 months ago
rickrich
Maybe your "sh" isn't "/bin/bash" ?
Forum: Oki C301dn, C310dn
2 months ago
rickrich
Using the network, what does this say: $ cd foo2zjs $ foo2hiperc-wrapper -c testpage.ps > xxx.prn $ ls -l xxx.prn -rw-rw-r--. 1 rick rick 15977311 Apr 12 03:18 xxx.prn $ nc 192.168.xxx.yyy 9100 < xxx.prn # Or, $ ncat ... $
Forum: Oki C301dn, C310dn
4 months ago
rickrich
You need more RAM or reduce the resolution to 600x600. See: http://foo2zjs.rkkda.com/forum/read.php?52,1483 See: http://foo2zjs.rkkda.com/forum/read.php?46,2713 See: https://www.fastprinters.com/Okidata/70042801.asp
Forum: Oki C3300n, C3400n, C3530n MFP
4 months ago
rickrich
Download, make, make install. $ cd foo2zjs $ foo2xqx-wrapper -n3 -pa4 testpage.ps | xqxdecode and $ foo2xqx-wrapper -n3 -pa4 testpage.ps | lp -oraw Copies=3, uncollated.
Forum: General foo2xqx
4 months ago
rickrich
NOTE: hplip is a *closed source*, proprietary driver.
Forum: General foo2xqx
4 months ago
rickrich
Done.
Forum: Ricoh SP 201
4 months ago
rickrich
I think there is another problem: $ diff -u ~/src/pstoricohddst/pstoricohddst-gdi ~/bin/pstoricohddst-gdi --- /home/rick/src/pstoricohddst/pstoricohddst-gdi 2019-02-05 12:45:07.367490804 -0600 +++ /home/rick/bin/pstoricohddst-gdi 2019-02-05 15:18:10.064700146 -0600 @@ -171,7 +171,8 @@ # Converting from PostScript to PostScript-monochrome, then to PBM image format (per p
Forum: Ricoh SP 201
4 months ago
rickrich
$ pstoricohddst-gdi '' '' '' '' 'PageSize=letter' < ~/testpage.ps > xxxx.prn which: no inotifywait in (/usr/lib64/qt-3.3/bin:/usr/share/Modules/bin:/usr/lib64/:/home/rick/go/bin) $ ddstdecode xxxx.prn \033%-12345X@PJL @PJL SET TIMESTAMP=2019/02/05 12:48:40 @PJL SET FILENAME=Document @PJL SET COMPRESS=JBIG @PJL SET USERNAME= @PJL
Forum: Ricoh SP 201
4 months ago
rickrich
You can use: pstoricohddst-gdi and RICOH_Aficio_SP_100.ppd or RICOH_Aficio_SP_204.ppd It is a modified version of https://github.com/madlynx/ricoh-sp100 . Tarball: pstoricohddst.tar.gz
Forum: Ricoh SP 201
4 months ago
rickrich
Download http://foo2zjs.rkkda.com/tmp/ricoh-alt1.prn and print. What does that say?
Forum: Ricoh SP 201
4 months ago
rickrich
I don't know what the issue is, so far. For your alternative driver: https://github.com/madlynx/ricoh-sp100/issues/57 Quotemvr88 OK, replacing identify with pamfile (netpbm-package) did it, e.g. < read fn ft xs ys garb < <(identify $page | tr "x" " ") > read xs ys < <(pamfile $uid/$page | sed -r 's/.* ([0-9]+) by ([0-9]+).*/\1 \2/g�
Forum: Ricoh SP 201
4 months ago
rickrich
Try installing it as "HP LaserJet M1120 MFP".
Forum: General foo2xqx
4 months ago
rickrich
eog: https://www.lifewire.com/guide-to-eye-of-gnome-image-viewer-2188343 Install this first. Download http://foo2zjs.rkkda.com/tmp/ricoh-sp201-win.prn $ ddstdecode -d www ricoh-sp201-win.prn #decode it $ eog www-01-4.pbm #view it $ nc 192.168.1.nnn 9100 < ricoh-sp201-win.prn #print it What does that say?
Forum: Ricoh SP 201
4 months ago
rickrich
$ cd foo2zjs $ foo2ddst-wrapper testpage.ps > xxx.prn $ ddstdecode -d xxx xxx.prn \033%-12345X@PJL @PJL SET TIMESTAMP=2019/02/01 11:45:03 @PJL SET FILENAME=stdin @PJL SET COMPRESS=JBIG @PJL SET USERNAME=root @PJL SET COVER=OFF @PJL SET PAGESTATUS=START @PJL SET COPIES=1 @PJL SET MEDIASOURCE=TRAY1 @PJL SET MEDIATYPE=PLAINRECYCLE @PJL SET PAPER=LETTER @PJL SET PAPERWIDTH=5100
Forum: Ricoh SP 201
5 months ago
rickrich
CUPS problem then. Contact Apple.
Forum: HP Color LaserJet CP1215
9 months ago
rickrich
If it works... why upgrade!
Forum: HP LaserJet 1020
9 months ago
rickrich
On Linux Mint 19, I ran synaptic and re-installed all the CUPS packages and now everything works. http://foo2zjs.rkkda.com/forum/read.php?63,4215
Forum: HP LaserJet Pro M12a / M12w
9 months ago
rickrich
New glibc and foomatic-rip bug! http://foo2zjs.rkkda.com/forum/read.php?63,4215
Forum: Konica Minolta magicolor 1600W
9 months ago
rickrich
So far, only *Arch Linux* is affected. https://github.com/OpenPrinting/cups-filters/issues/58 https://bbs.archlinux.org/viewtopic.php?id=240247 Patch is: https://github.com/OpenPrinting/cups-filters/commit/64ca9c2fb5890f5cf5571b628dddc6d68ce3c929 Reference: https://github.com/apple/cups/issues/5392 https://github.com/apple/cups/issues/5394 https://github.com/apple/cups/issues/5396
Forum: General Topics
9 months ago
rickrich
http://foo2zjs.rkkda.com/forum/read.php?63,4215
Forum: General foo2zjs
Pages: 12345...LastNext
Current Page: 1 of 50

This forum powered by Phorum.